English Amiga Board


Go Back   English Amiga Board > Support > support.Other

 
 
Thread Tools
Old 17 February 2016, 03:21   #1
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Gmail on A500+ WB3.1?

What program would you personally recommend for accessing Gmail or POP3/IMAP/SMTP on a WB 3.1 A500+ with Plipbox & Roadshow, assuming that's possible?

Email was invented 13 years before the Amiga so it should be, right? 😉
Starglider 2 is offline  
Old 17 February 2016, 03:57   #2
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 1,017
Quote:
Originally Posted by Starglider 2 View Post
What program would you personally recommend for accessing Gmail or POP3/IMAP/SMTP on a WB 3.1 A500+ with Plipbox & Roadshow, assuming that's possible?

Email was invented 13 years before the Amiga so it should be, right? 😉
Only YAM 1.3.3, but only POP3 and SMTP. No IMAP and SMTP-AUTH, exactly you can download emails, but you can not send emails. Sending mails its possible, if you have access to SMTP server without authentication.
Don_Adan is offline  
Old 17 February 2016, 04:15   #3
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Thanks. Would anyone happen to have a screenshot of what email on Yam 1.3.3 on an A500+ looks like?
Starglider 2 is offline  
Old 18 February 2016, 09:12   #4
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Like, is it CLI based, or is it still in a GUI?

Mainly I want to try this, just because "we can". If we can...
Starglider 2 is offline  
Old 18 February 2016, 14:07   #5
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 1,017
Quote:
Originally Posted by Starglider 2 View Post
Like, is it CLI based, or is it still in a GUI?

Mainly I want to try this, just because "we can". If we can...
YAM has GUI:
http://aminet.net/package/comm/yam/YAM13_5
Don_Adan is offline  
Old 18 February 2016, 14:09   #6
SkulleateR
Registered User

SkulleateR's Avatar
 
Join Date: Jan 2016
Location: Germany
Posts: 243
And hereĀ“s a screenshot of it just found on google

SkulleateR is offline  
Old 18 February 2016, 14:35   #7
clebin
Registered User
clebin's Avatar
 
Join Date: Apr 2012
Location: Cardiff
Posts: 296
Quote:
Originally Posted by Don_Adan View Post
That's an ancient version. The latest is on the Yam website:
https://yam.ch

Also look at SimpleMail which is similar but does IMAP as well as POP3:

http://simplemail.sourceforge.net
clebin is offline  
Old 18 February 2016, 15:26   #8
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 1,017
Quote:
Originally Posted by clebin View Post
That's an ancient version. The latest is on the Yam website:
https://yam.ch

Also look at SimpleMail which is similar but does IMAP as well as POP3:

http://simplemail.sourceforge.net
YAM version higher than 1.3.5 doesnt works for 68000 (A500+). Latest YAM versions are almost useless for real Amiga. YAM 1.3.5 is the best YAM version for Amiga, only missing SMTP-AUTH option.
Don_Adan is offline  
Old 18 February 2016, 15:28   #9
zipper
Registered User
 
Join Date: Mar 2004
Location: finland
Posts: 1,466
Quote:
Originally Posted by clebin View Post
That's an ancient version. The latest is on the Yam website:
https://yam.ch
Doesn't help much on A500+ as it is 020+ only...
well, too slow...
zipper is offline  
Old 18 February 2016, 15:40   #10
clebin
Registered User
clebin's Avatar
 
Join Date: Apr 2012
Location: Cardiff
Posts: 296
@Don_Adan, zipper

Bugger, my mistake. Apologies.
clebin is offline  
Old 18 February 2016, 19:47   #11
nogginthenog
Amigan

 
Join Date: Feb 2012
Location: London
Posts: 648
Back in the day I used Thor on my A500. Used it for reading email and newsgroups.

This is the best screenshot I can find:

nogginthenog is offline  
Old 19 February 2016, 00:03   #12
idrougge
Registered User
 
Join Date: Sep 2007
Location: Stockholm
Posts: 3,643
Thor is bloody brilliant, but possibly overkill for just reading mail.
idrougge is offline  
Old 20 February 2016, 21:52   #13
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Quote:
Originally Posted by Don_Adan View Post
YAM 1.3.5 is the best YAM version for Amiga, only missing SMTP-AUTH option.
Does that mean that with modern email servers I wouldn't be able to send mail at all? Or can it support some forms of password protected SMTP? SSL?
Starglider 2 is offline  
Old 20 February 2016, 22:19   #14
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 1,017
Quote:
Originally Posted by Starglider 2 View Post
Does that mean that with modern email servers I wouldn't be able to send mail at all? Or can it support some forms of password protected SMTP? SSL?
Perhaps all (?) "modern" email serwers need SMTP-AUTH and SSL for sending mails. YAM 1.3.x is over 20 years old mailer, only SMTP is supported. Some email serwers has support to POP3 as SMTP-AUTH, exactly you must press "Get mail" before "Send mail". You can try to use YAM 2.7 (within SSL and SMTP-AUTH), but it needs 68020+ CPU, and perhaps 8MB fast can be not enough.
Don_Adan is offline  
Old 20 February 2016, 22:49   #15
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Quote:
Originally Posted by Don_Adan View Post
Some email serwers has support to POP3 as SMTP-AUTH, exactly you must press "Get mail" before "Send mail".
Is that a workaround that will solve the problem? Any idea what it's called so I can ask my hosting company?
Starglider 2 is offline  
Old 20 February 2016, 23:25   #16
Don_Adan
Registered User
 
Join Date: Jan 2008
Location: Warsaw/Poland
Age: 50
Posts: 1,017
Quote:
Originally Posted by Starglider 2 View Post
Is that a workaround that will solve the problem? Any idea what it's called so I can ask my hosting company?
https://en.m.wikipedia.org/wiki/POP_before_SMTP
Don_Adan is offline  
Old 21 February 2016, 15:12   #17
nogginthenog
Amigan

 
Join Date: Feb 2012
Location: London
Posts: 648
Quote:
Originally Posted by Don_Adan View Post
Perhaps all (?) "modern" email serwers need SMTP-AUTH and SSL for sending mails. YAM 1.3.x is over 20 years old mailer, only SMTP is supported. Some email serwers has support to POP3 as SMTP-AUTH, exactly you must press "Get mail" before "Send mail". You can try to use YAM 2.7 (within SSL and SMTP-AUTH), but it needs 68020+ CPU, and perhaps 8MB fast can be not enough.
I've definitely seen SMTP servers recently that don't need SSL. Crazy really as your password is sent as clear text.
nogginthenog is offline  
Old 21 February 2016, 17:39   #18
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Quote:
Originally Posted by Don_Adan View Post
Unfortunately my provider doesn't support POP before SMTP due to spammers.

I need a solution that supports SMTP Auth.

Last edited by Starglider 2; 21 February 2016 at 21:41.
Starglider 2 is offline  
Old 22 February 2016, 01:18   #19
Starglider 2
Registered User

Starglider 2's Avatar
 
Join Date: Jan 2014
Location: California
Posts: 1,026
Quote:
Originally Posted by nogginthenog View Post
I've definitely seen SMTP servers recently that don't need SSL. Crazy really as your password is sent as clear text.
Could you point me in the direction of such server please?
Starglider 2 is offline  
Old 22 February 2016, 16:58   #20
nogginthenog
Amigan

 
Join Date: Feb 2012
Location: London
Posts: 648
Normally you can only use your ISPs or providers SMTP server.
I know the hosting provider "1&1" has optional SSL.

We used to use 1&1 at work but moved to Office 365 (which does not support non-ssl).
nogginthenog is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
YAM and GMAIL Hiddenevil support.Apps 10 15 December 2015 10:11
WB3.1 for A600???? Overkill support.Other 4 12 January 2012 21:26
Configure SimpleMail in Amikit for Gmail AmigaEd support.Apps 4 19 April 2010 20:51
WB2.1 or WB3.1 or WB3.9 Olecranon New to Emulation or Amiga scene 3 02 September 2006 18:42

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 16:57.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.
Page generated in 0.09546 seconds with 14 queries